summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Ken Roberts <alisonken1@juno.com>2014-04-11 23:14:18 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2014-04-11 23:17:18 +0700
commitf957860309619b6ceaf55fa29e33f0409e40b964 (patch)
tree8c45ce46a89b3a10e6ee01edc96de9b2c7535f48
parent4ab63be0abff50624eaef4b9a2ce72bc4df15730 (diff)
downloadslackbuilds-f957860309619b6ceaf55fa29e33f0409e40b964.tar.gz
slackbuilds-f957860309619b6ceaf55fa29e33f0409e40b964.tar.xz
python/relatorio: Added (templating library).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--python/relatorio/README9
-rw-r--r--python/relatorio/relatorio.SlackBuild77
-rw-r--r--python/relatorio/relatorio.info10
-rw-r--r--python/relatorio/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/python/relatorio/README b/python/relatorio/README
new file mode 100644
index 0000000000..5ce5862b69
--- /dev/null
+++ b/python/relatorio/README
@@ -0,0 +1,9 @@
+relatorio is a templating library which provides a way to easily
+output all kind of different files (odt, ods, png, svg, ...).
+
+Adding support for more filetype is easy: you just have to create
+a plugin for this.
+
+relatorio also provides a report repository allowing you to link
+python objects and report together, find reports by
+mimetypes/name/python objects.
diff --git a/python/relatorio/relatorio.SlackBuild b/python/relatorio/relatorio.SlackBuild
new file mode 100644
index 0000000000..5d93343113
--- /dev/null
+++ b/python/relatorio/relatorio.SlackBuild
@@ -0,0 +1,77 @@
+#!/bin/sh
+#
+# Copyright 2014, Ken Roberts, California, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=relatorio
+VERSION=${VERSION:-0.6.0}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+python setup.py install --root=$PKG
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS CHANGES LICENSE README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/python/relatorio/relatorio.info b/python/relatorio/relatorio.info
new file mode 100644
index 0000000000..862d46fd36
--- /dev/null
+++ b/python/relatorio/relatorio.info
@@ -0,0 +1,10 @@
+PRGNAM="relatorio"
+VERSION="0.6.0"
+HOMEPAGE="https://pypi.python.org/pypi/relatorio"
+DOWNLOAD="https://pypi.python.org/packages/source/r/relatorio/relatorio-0.6.0.tar.gz"
+MD5SUM="170eeb4102a92b9ddc554799a1503cee"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="genshi lxml"
+MAINTAINER="Ken Roberts"
+EMAIL="alisonken1@juno.com"
diff --git a/python/relatorio/slack-desc b/python/relatorio/slack-desc
new file mode 100644
index 0000000000..2fa583c519
--- /dev/null
+++ b/python/relatorio/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+relatorio: relatorio: (templating library)
+relatorio:
+relatorio: Outputs different kind of files like odt, ods, png, svg, etc.
+relatorio:
+relatorio: Using a plugin architecture, you can create extra funcitonality to
+relatorio: be able to output other formats by creating an new plugin.
+relatorio:
+relatorio:
+relatorio:
+relatorio:
+relatorio: